;******************************************************************************
;*
;*  Copyright (C) 2004 Dallas Semiconductor Corporation. 
;*  All rights Reserved. Printed in U.S.A.
;*
;*  This software is protected by copyright laws of the United States and of 
;*  foreign countries.  This material may also be protected by patent laws of
;*  the United States and of foreign countries.  This software is furnished 
;*  under a license agreement and/or a nondisclosure agreement and may only 
;*  be used or copied in accordance with the terms of those agreements.  The 
;*  mere transfer of this software does not imply any licenses of trade 
;*  secrets, proprietary technology, copyrights, patents, trademarks, 
;*  maskwork rights, or any other form of intellectual property whatsoever. 
;*  Dallas Semiconductor retains all ownership rights.
;*
;*     Description: Defines register bit for the SCON and SMD and equates 
;*					Baudrate, Port and other setting for the MAXQ2000.
;*
;*        Filename: serial_IO.inc
;*
;*          Author: TDB
;*
;*        Compiler: MAX-IDE
;*
;*         Version: 1.01 - 07/28/03
;*                  1.02 - 06/03/04
;*                  1.03 - 10/07/04
;*
;*         Created: 11/05/04
;*
;******************************************************************************

PR_115200   equ		45E8h
PR_57600    equ		22F4h
PR_38400    equ		174Eh
PR_19200    equ		2A67h
PR_9600     equ		 FD3h
PR_4800     equ		 799h
PR_2400     equ		 175h

PORT_0		equ		0
PORT_1      equ	 	1

MODE_0		equ		0
MODE_1		equ		1
MODE_2		equ		2
MODE_3		equ		3

RECEIVE     equ		0
TRANSMIT	equ     1

SINGLE      equ		0
MULTI       equ		1

DIV64       equ		0
DIV16       equ		1

DIV12       equ		0
DIV4        equ		1

DISABLE     equ		0
ENABLE      equ		1

#define SCON1_RI    	  M3[6].0
#define SCON1_TI          M3[6].1
#define SCON1_RB8         M3[6].2
#define SCON1_TB8         M3[6].3
#define SCON1_REN         M3[6].4
#define SCON1_SM2         M3[6].5
#define SCON1_SM1         M3[6].6
#define SCON1_SM0FE       M3[6].7


#define SMD1_FEDE         M3[8].0
#define SMD1_SMOD         M3[8].1
#define SMD1_ESI          M3[8].2

#define SCON0_RI          M2[6].0
#define SCON0_TI          M2[6].1
#define SCON0_RB8         M2[6].2
#define SCON0_TB8         M2[6].3
#define SCON0_REN         M2[6].4
#define SCON0_SM2         M2[6].5
#define SCON0_SM1         M2[6].6
#define SCON0_SM0FE       M2[6].7

#define SMD0_FEDE         M2[8].0
#define SMD0_SMOD         M2[8].1
#define SMD0_ESI          M2[8].2

